aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorWolfgang Müller2021-07-02 14:06:03 +0200
committerWolfgang Müller2021-07-02 14:06:03 +0200
commitdf43ece1d063e896da43916b9a836da5226c36b9 (patch)
treeef7b699c1c3d0137566aa74d63f7f570489473cf
parentd8f20a4b37721a20a6d813bb1571aa297d5735bb (diff)
downloadweltschmerz-df43ece1d063e896da43916b9a836da5226c36b9.tar.gz
po: Introduce more robust error handling
This commit enables 'errexit' for both shell scripts in po/, ensuring that no further action is taken should one of the commands fail. init-po.sh now tests for the presence of a language code and refuses to continue if none is given.
-rw-r--r--po/init-po.sh4
-rw-r--r--po/update-pot.sh2
2 files changed, 6 insertions, 0 deletions
diff --git a/po/init-po.sh b/po/init-po.sh
index 0830875..6a1faff 100644
--- a/po/init-po.sh
+++ b/po/init-po.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+set -e
+
+test $# -gt 0 || { echo "usage: init-po.sh <language>" && exit 1; }
+
lang=$1
echo "$lang" >> po/LINGUAS
diff --git a/po/update-pot.sh b/po/update-pot.sh
index 6ceb21f..e29bfb1 100644
--- a/po/update-pot.sh
+++ b/po/update-pot.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
_xgettext() {
xgettext --package-name=weltschmerz -cTRANSLATORS "$@" -o po/weltschmerz.pot
}